osl::enter_king::SimplePredictor Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
osl::enter_king::SimplePredictor Class Reference

`#include <simplePredictor.h>`

## Public Member Functions
template<Player Turn>
double | getProbability (const osl::state::NumEffectState &state)
double | getProbability (const osl::state::NumEffectState &state, const Player Turn)
template<Player Turn>
double | getProbability27 (const osl::state::NumEffectState &state)
double | getProbability27 (const osl::state::NumEffectState &state, const Player Turn)
template<Player Turn>
bool | predict (const osl::state::NumEffectState &state, double threshold=0.5)
bool | predict (const osl::state::NumEffectState &state, const Player Turn, double threshold=0.5)
template<Player Turn>
bool | predict27 (const osl::state::NumEffectState &state, double threshold=0.5)
bool | predict27 (const osl::state::NumEffectState &state, const Player Turn, double threshold=0.5)

## Detailed Description

Definition at line 19 of file simplePredictor.h.

## Member Function Documentation

template<osl::Player Turn>

double osl::enter_king::SimplePredictor::getProbability | ( | const osl::state::NumEffectState & | state) |  |

Definition at line 24 of file simplePredictor.cc.

References osl::alt(), osl::BLACK, osl::enter_king::countEffectInFrontOf(), osl::enter_king::countPiecePointsOnStand(), osl::state::SimpleState::kingSquare(), osl::enter_king::winning_threshold_black, osl::enter_king::winning_threshold_white, and osl::Square::y().

double osl::enter_king::SimplePredictor::getProbability | ( | const osl::state::NumEffectState & | state,
|  | const Player | Turn
| ) |  |

Definition at line 97 of file simplePredictor.cc.

References osl::BLACK.

template<osl::Player Turn>

double osl::enter_king::SimplePredictor::getProbability27 | ( | const osl::state::NumEffectState & | state) |  |

Definition at line 107 of file simplePredictor.cc.

References osl::alt(), osl::BLACK, osl::enter_king::countEffectInFrontOf(), osl::enter_king::countPiecePointsOnStand(), osl::state::SimpleState::kingSquare(), osl::enter_king::winning_threshold_black_27, osl::enter_king::winning_threshold_white_27, and osl::Square::y().

double osl::enter_king::SimplePredictor::getProbability27 | ( | const osl::state::NumEffectState & | state,
|  | const Player | Turn
| ) |  |

Definition at line 184 of file simplePredictor.cc.

References osl::BLACK.

template<osl::Player Turn>

bool osl::enter_king::SimplePredictor::predict | ( | const osl::state::NumEffectState & | state,
|  | double | threshold = `0.5`
| ) |  |

Definition at line 193 of file simplePredictor.cc.

bool osl::enter_king::SimplePredictor::predict | ( | const osl::state::NumEffectState & | state,
|  | const Player | Turn,
|  | double | threshold = `0.5`
| ) |  |

Definition at line 198 of file simplePredictor.cc.

template<osl::Player Turn>

bool osl::enter_king::SimplePredictor::predict27 | ( | const osl::state::NumEffectState & | state,
|  | double | threshold = `0.5`
| ) |  |

Definition at line 206 of file simplePredictor.cc.

bool osl::enter_king::SimplePredictor::predict27 | ( | const osl::state::NumEffectState & | state,
|  | const Player | Turn,
|  | double | threshold = `0.5`
| ) |  |

Definition at line 211 of file simplePredictor.cc.

The documentation for this class was generated from the following files:

- simplePredictor.h
- simplePredictor.cc